<?php

function blog_layout_design_grid_style()
{
	$blog_layout_design_select_option = array (
		'grid-full-image-1' => 'Grid Full Image',
		'grid-card-1' => 'Grid Card',
		'grid-hiji' => 'Grid Hiji',
		'grid-dua' => 'Grid Dua',
		'grid-tilu' => 'Grid Tilu',
		'grid-opat' => 'Grid Opat',
		'grid-lima' => 'Grid Lima',
		'grid-genep' => 'Grid Genep',
		'grid-tujuh' => 'Grid Tujuh'
	);

	return $blog_layout_design_select_option;
}

function blog_layout_design_filter_option()
{
	$blog_layout_design_filter = array (
		'no' => 'No',
		'yes' => 'Yes',
	);

	return $blog_layout_design_filter;
}

function blog_layout_design_link_option()
{
	$blog_layout_design_link = array(
        'post_item' => esc_html__('Post Item', 'advanced-grid-blog-layout-design'),
        'lightbox' => esc_html__('Lightbox', 'advanced-grid-blog-layout-design'),
        'custom_link' => esc_html__('Custom Link', 'advanced-grid-blog-layout-design'),
    );

	return $blog_layout_design_link;
}

function blog_layout_design_pagination_option()
{
	$blog_layout_design_pagination = array (
		'' => 'No Pagination',
		'pagination_default' => esc_html__( 'Default', 'advanced-grid-blog-layout-design' ),
		'pagination_number' => esc_html__( 'Number', 'advanced-grid-blog-layout-design' ),
		'pagination_load_more' => esc_html__( 'Load More', 'advanced-grid-blog-layout-design' ),
	);

	return $blog_layout_design_pagination;
}

function blog_layout_design_grid_loading() {
	$blog_layout_design_loading_grid = array (
		'Hapi' => esc_html__( 'Style 1', 'advanced-grid-blog-layout-design' ),
		'Amun' => esc_html__( 'Style 2', 'advanced-grid-blog-layout-design' ),
		'Kek' => esc_html__( 'Style 3', 'advanced-grid-blog-layout-design' ),
		'Isis' => esc_html__( 'Style 4', 'advanced-grid-blog-layout-design' ),
		'Montu' => esc_html__( 'Style 5', 'advanced-grid-blog-layout-design' ),
		'Osiris' => esc_html__( 'Style 6', 'advanced-grid-blog-layout-design' ),
		'Satet' => esc_html__( 'Style 7', 'advanced-grid-blog-layout-design' ),
		'Atum' => esc_html__( 'Style 8', 'advanced-grid-blog-layout-design' ),
		'Ra' => esc_html__( 'Style 9', 'advanced-grid-blog-layout-design' ),
		'Sobek' => esc_html__( 'Style 10', 'advanced-grid-blog-layout-design' ),
		'Ptah' => esc_html__( 'Style 11', 'advanced-grid-blog-layout-design' ),
		'Bes' => esc_html__( 'Style 12', 'advanced-grid-blog-layout-design' ),
		'Seker' => esc_html__( 'Style 13', 'advanced-grid-blog-layout-design' ),
		'Nut' => esc_html__( 'Style 14', 'advanced-grid-blog-layout-design' ),
		'Shu' => esc_html__( 'Style 15', 'advanced-grid-blog-layout-design' ),
	);

	return $blog_layout_design_loading_grid;
}

function blog_layout_design_single_option_grid() {
	$blog_layout_design_single_option = array(
        'single-blog-layout-design-blank.php' => esc_html__('Blank Template', 'advanced-grid-blog-layout-design'),
        'single-blog-layout-design-hiji.php' => esc_html__('Hiji Template', 'advanced-grid-blog-layout-design'),
    );

	return $blog_layout_design_single_option;
}

function blog_layout_design_grid_hover_effect() {
	$blog_layout_design_hover_effect = array (
		'' => esc_html__( 'Choice', 'advanced-grid-blog-layout-design' ),
		'imghvr-push-up' => esc_html__( 'Push Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-push-down' => esc_html__( 'Push Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-push-left' => esc_html__( 'Push Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-push-right' => esc_html__( 'Push Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-slide-up' => esc_html__( 'Slide Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-slide-down' => esc_html__( 'Slide Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-slide-left' => esc_html__( 'Slide Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-slide-right' => esc_html__( 'Slider Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-slide-top-left' => esc_html__( 'Slide Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-slide-top-right' => esc_html__( 'Slide Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-slide-bottom-left' => esc_html__( 'Slide Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-slide-bottom-right' => esc_html__( 'Slide Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-reveal-up' => esc_html__( 'Reveal Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-reveal-down' => esc_html__( 'Reveal Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-reveal-left' => esc_html__( 'Reveal Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-reveal-right' => esc_html__( 'Reveal Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-reveal-top-left' => esc_html__( 'Reveal Top-Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-reveal-top-right' => esc_html__( 'Reveal Top-Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-reveal-bottom-left' => esc_html__( 'Reveal Bottom-Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-reveal-bottom-right' => esc_html__( 'Reveal Bottom-Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-fade' => esc_html__( 'Fade', 'advanced-grid-blog-layout-design' ),
		'imghvr-fade-in-up' => esc_html__( 'Fade In Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-fade-in-down' => esc_html__( 'Fade In Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-fade-in-left' => esc_html__( 'Fade In Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-fade-in-right' => esc_html__( 'Fade In Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-hinge-up' => esc_html__( 'Hinge Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-hinge-down' => esc_html__( 'Hinge Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-hinge-left' => esc_html__( 'Hinge Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-hinge-right' => esc_html__( 'Hinge Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-flip-horiz' => esc_html__( 'Flip Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-flip-vert' => esc_html__( 'Flip Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-flip-diag-1' => esc_html__( 'Flip Diagonal 1', 'advanced-grid-blog-layout-design' ),
		'imghvr-flip-diag-2' => esc_html__( 'Flip Diagonal 2', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-out-horiz' => esc_html__( 'Shutter Out Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-out-vert' => esc_html__( 'Shutter Out Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-out-diag-1' => esc_html__( 'Shutter Out Diagonal 1', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-out-diag-2' => esc_html__( 'Shutter Out Diagonal 2', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-in-horiz' => esc_html__( 'Shutter In Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-in-vert' => esc_html__( 'Shutter In Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-in-out-horiz' => esc_html__( 'Shutter In Out Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-in-out-vert' => esc_html__( 'Shutter In Out Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-in-out-diag-1' => esc_html__( 'Shutter In Out Diagonal 1', 'advanced-grid-blog-layout-design' ),
		'imghvr-shutter-in-out-diag-2' => esc_html__( 'Shutter In Out Diagonal 2', 'advanced-grid-blog-layout-design' ),
		'imghvr-fold-up' => esc_html__( 'Fold Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-fold-down' => esc_html__( 'Fold Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-fold-left' => esc_html__( 'Fold Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-fold-right' => esc_html__( 'Fold Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-zoom-in' => esc_html__( 'Zoom In', 'advanced-grid-blog-layout-design' ),
		'imghvr-zoom-out' => esc_html__( 'Zoom Out', 'advanced-grid-blog-layout-design' ),
		'imghvr-zoom-out-up' => esc_html__( 'Zoom Out Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-zoom-out-down' => esc_html__( 'Zoom Out Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-zoom-out-left' => esc_html__( 'Zoom Out Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-zoom-out-right' => esc_html__( 'Zoom Out Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-zoom-out-flip-horiz' => esc_html__( 'Zoom Out Flip Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-zoom-out-flip-vert' => esc_html__( 'Zoom Out Flip Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-blur' => esc_html__( 'Blur', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-rotate-left' => esc_html__( 'Blocks Rotate Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-rotate-right' => esc_html__( 'Blocks Rotate Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-rotate-in-left' => esc_html__( 'Blocks Rotate In Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-rotate-in-right' => esc_html__( 'Blocks Rotate In Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-in' => esc_html__( 'Blocks In', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-out' => esc_html__( 'Blocks Out', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-float-up' => esc_html__( 'Blocks Float Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-float-down' => esc_html__( 'Blocks Float Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-float-left' => esc_html__( 'Blocks Float Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-float-right' => esc_html__( 'Blocks Float Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-zoom-top-left' => esc_html__( 'Blocks Zoom Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-zoom-top-right' => esc_html__( 'Blocks Zoom Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-zoom-bottom-left' => esc_html__( 'Blocks Zoom Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-blocks-zoom-bottom-right' => esc_html__( 'Blocks Zoom Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-shutter-up' => esc_html__( 'Strip Shutter Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-shutter-down' => esc_html__( 'Strip Shutter Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-shutter-left' => esc_html__( 'Strip Shutter Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-shutter-right' => esc_html__( 'Strip Shutter Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-horiz-up' => esc_html__( 'Strip Horizontal Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-horiz-down' => esc_html__( 'Strip Horizontal Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-horiz-top-left' => esc_html__( 'Strip Horizontal Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-horiz-top-right' => esc_html__( 'Strip Horizontal Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-horiz-bottom-left' => esc_html__( 'Strip Horizontal Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-horiz-bottom-right' => esc_html__( 'Strip Horizontal Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-vert-left' => esc_html__( 'Strip Vertical Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-vert-right' => esc_html__( 'Strip Vertical Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-vert-top-left' => esc_html__( 'Strip Vertical Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-vert-top-right' => esc_html__( 'Strip Vertical Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-vert-bottom-left' => esc_html__( 'Strip Vertical Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-strip-vert-bottom-right' => esc_html__( 'Strip Vertical Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-pixel-up' => esc_html__( 'Pixel Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-pixel-down' => esc_html__( 'Pixel Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-pixel-left' => esc_html__( 'Pixel Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-pixel-right' => esc_html__( 'Pixel Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-pixel-top-left' => esc_html__( 'Pixel Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-pixel-top-right' => esc_html__( 'Pixel Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-pixel-bottom-left' => esc_html__( 'Pixel Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-pixel-bottom-right' => esc_html__( 'Pixel Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-pivot-in-top-left' => esc_html__( 'Pivot In Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-pivot-in-top-right' => esc_html__( 'Pivot In Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-pivot-in-bottom-left' => esc_html__( 'Pivot In Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-pivot-in-bottom-right' => esc_html__( 'Pivot In Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-pivot-out-top-left' => esc_html__( 'Pivout Out Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-pivot-out-top-right' => esc_html__( 'Pivout Out Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-pivot-out-bottom-left' => esc_html__( 'Pivot Out Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-pivot-out-bottom-right' => esc_html__( 'Pivot Out Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-throw-in-up' => esc_html__( 'Throw In Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-throw-in-down' => esc_html__( 'Throw In Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-throw-in-left' => esc_html__( 'Throw In Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-throw-in-right' => esc_html__( 'Throw In Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-throw-out-up' => esc_html__( 'Throw Out Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-throw-out-down' => esc_html__( 'Throw Out Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-throw-out-left' => esc_html__( 'Throw Out Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-throw-out-right' => esc_html__( 'Throw Out Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-blinds-horiz' => esc_html__( 'Blinds Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-blinds-vert' => esc_html__( 'blinds Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-blinds-up' => esc_html__( 'Blinds Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-blinds-down' => esc_html__( 'Blinds Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-blinds-left' => esc_html__( 'Blinds Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-blinds-right' => esc_html__( 'Blinds Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal' => esc_html__( 'Border Reveal', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-vert' => esc_html__( 'Border Reveal Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-horiz' => esc_html__( 'Border Reveal Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-corners-1' => esc_html__( 'Border Reveal Corners 1', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-corners-2' => esc_html__( 'Border Reveal Corners 2', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-top-left' => esc_html__( 'Border Reveal Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-top-right' => esc_html__( 'Border Reveal Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-bottom-left' => esc_html__( 'Border Reveal Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-bottom-right' => esc_html__( 'Border Reveal Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-cc-1' => esc_html__( 'Border Reveal CC 1', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-ccc-1' => esc_html__( 'Boreder Reveal CCC 1', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-cc-2' => esc_html__( 'Boreder Reveal CC 2', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-ccc-2' => esc_html__( 'Boreder Reveal CCC 2', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-cc-3' => esc_html__( 'Boreder Reveal cc 3', 'advanced-grid-blog-layout-design' ),
		'imghvr-border-reveal-ccc-3' => esc_html__( 'Boreder Reveal CCC 3', 'advanced-grid-blog-layout-design' ),
		'imghvr-image-zoom-center' => esc_html__( 'Image Zoom Center', 'advanced-grid-blog-layout-design' ),
		'imghvr-image-zoom-out' => esc_html__( 'Image Zoom Out', 'advanced-grid-blog-layout-design' ),
		'imghvr-image-rotate-left' => esc_html__( 'Image Zoom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-image-rotate-right' => esc_html__( 'Image Zoom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-book-open-horiz' => esc_html__( 'Book Open Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-book-open-vert' => esc_html__( 'Book Open Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-book-open-up' => esc_html__( 'Book Open Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-book-open-down' => esc_html__( 'Book Open Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-book-open-left' => esc_html__( 'Book Open Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-book-open-right' => esc_html__( 'Book Open Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-circle-up' => esc_html__( 'Circle Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-circle-down' => esc_html__( 'Circle Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-circle-left' => esc_html__( 'Circle Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-circle-right' => esc_html__( 'Circle Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-circle-top-left' => esc_html__( 'Circle Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-circle-top-right' => esc_html__( 'Circle Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-circle-bottom-left' => esc_html__( 'Circle Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-circle-bottom-right' => esc_html__( 'Circle Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-shift-top-left' => esc_html__( 'Shift Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-shift-top-right' => esc_html__( 'Shift Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-shift-bottom-left' => esc_html__( 'Shift Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-shift-bottom-right' => esc_html__( 'Shift Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-in' => esc_html__( 'Bounce In', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-in-up' => esc_html__( 'Bounce In Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-in-down' => esc_html__( 'Bounce In Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-in-left' => esc_html__( 'Bounce In Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-in-right' => esc_html__( 'Bounce In Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-out' => esc_html__( 'Bounce Out', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-out-up' => esc_html__( 'Bounce Out Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-out-down' => esc_html__( 'Bounce Out Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-out-left' => esc_html__( 'Bounce Out Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-bounce-out-right' => esc_html__( 'Bounce Out Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-fall-away-horiz' => esc_html__( 'Fall Away Horizontal', 'advanced-grid-blog-layout-design' ),
		'imghvr-fall-away-vert' => esc_html__( 'Fall Away Vertical', 'advanced-grid-blog-layout-design' ),
		'imghvr-fall-away-cc' => esc_html__( 'Fall Away CC', 'advanced-grid-blog-layout-design' ),
		'imghvr-fall-away-ccc' => esc_html__( 'Fall Away CCC', 'advanced-grid-blog-layout-design' ),
		'imghvr-lightspeed-in-left' => esc_html__( 'Lightspeed In Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-lightspeed-in-right' => esc_html__( 'Lightspeed In Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-lightspeed-out-left' => esc_html__( 'Lightspeed Out Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-lightspeed-out-right' => esc_html__( 'Lightspeed Out Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-radial-in' => esc_html__( 'Gradient Radial In', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-radial-out' => esc_html__( 'Gradient Radial Out', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-up' => esc_html__( 'Gradient Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-down' => esc_html__( 'Gradient Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-left' => esc_html__( 'Gradient Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-right' => esc_html__( 'Gradient Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-top-left' => esc_html__( 'Gradient Top Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-top-right' => esc_html__( 'Gradient Top Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-bottom-left' => esc_html__( 'Gradient Bottom Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-grad-bottom-right' => esc_html__( 'Gradient Bottom Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-stack-up' => esc_html__( 'Stack Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-stack-down' => esc_html__( 'Stack Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-stack-left' => esc_html__( 'Stack Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-stack-right' => esc_html__( 'Stack Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-cube-up' => esc_html__( 'Cube Up', 'advanced-grid-blog-layout-design' ),
		'imghvr-cube-down' => esc_html__( 'Cube Down', 'advanced-grid-blog-layout-design' ),
		'imghvr-cube-left' => esc_html__( 'Cube Left', 'advanced-grid-blog-layout-design' ),
		'imghvr-cube-right' => esc_html__( 'Cube Right', 'advanced-grid-blog-layout-design' ),
		'imghvr-dive' => esc_html__( 'Dive', 'advanced-grid-blog-layout-design' ),
		'imghvr-dive-cc' => esc_html__( 'Dive CC', 'advanced-grid-blog-layout-design' ),
		'imghvr-dive-ccc' => esc_html__( 'Dive CCC', 'advanced-grid-blog-layout-design' ),
	);

	return $blog_layout_design_hover_effect;

}